create function addrasterconstraints(rasttable name, rastcolumn name, srid boolean DEFAULT true, scale_x boolean DEFAULT true, scale_y boolean DEFAULT true, blocksize_x boolean DEFAULT true, blocksize_y boolean DEFAULT true, same_alignment boolean DEFAULT true, regular_blocking boolean DEFAULT false, num_bands boolean DEFAULT true, pixel_types boolean DEFAULT true, nodata_values boolean DEFAULT true, out_db boolean DEFAULT true, extent boolean DEFAULT true)
  returns boolean
strict
language sql
as $$
SELECT public.AddRasterConstraints('', $1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14)
$$;

comment on function addrasterconstraints(rasttable      name, rastcolumn name, srid boolean DEFAULT true,
                                         scale_x        boolean DEFAULT true, scale_y boolean DEFAULT true,
                                         blocksize_x    boolean DEFAULT true, blocksize_y boolean DEFAULT true,
                                         same_alignment boolean DEFAULT true, regular_blocking boolean DEFAULT false,
                                         num_bands      boolean DEFAULT true, pixel_types boolean DEFAULT true,
                                         nodata_values  boolean DEFAULT true, out_db boolean DEFAULT true,
                                         extent         boolean DEFAULT true)
is 'args: rasttable, rastcolumn, srid, scale_x, scale_y, blocksize_x, blocksize_y, same_alignment, regular_blocking, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - Adds raster constraints to a loaded raster table for a specific column that constrains spatial ref, scaling, blocksize, alignment, bands, band type and a flag to denote if raster column is regularly blocked. The table must be loaded with data for the constraints to be inferred. Returns true of the constraint setting was accomplished and if issues a notice.';

