create function droprasterconstraints(rasttable name, rastcolumn name, srid boolean DEFAULT true, scale_x boolean DEFAULT true, scale_y boolean DEFAULT true, blocksize_x boolean DEFAULT true, blocksize_y boolean DEFAULT true, same_alignment boolean DEFAULT true, regular_blocking boolean DEFAULT true, num_bands boolean DEFAULT true, pixel_types boolean DEFAULT true, nodata_values boolean DEFAULT true, out_db boolean DEFAULT true, extent boolean DEFAULT true)
  returns boolean
strict
language sql
as $$
SELECT DropRasterConstraints('', $1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14)
$$;

comment on function droprasterconstraints(rasttable      name, rastcolumn name, srid boolean DEFAULT true,
                                          scale_x        boolean DEFAULT true, scale_y boolean DEFAULT true,
                                          blocksize_x    boolean DEFAULT true, blocksize_y boolean DEFAULT true,
                                          same_alignment boolean DEFAULT true, regular_blocking boolean DEFAULT true,
                                          num_bands      boolean DEFAULT true, pixel_types boolean DEFAULT true,
                                          nodata_values  boolean DEFAULT true, out_db boolean DEFAULT true,
                                          extent         boolean DEFAULT true)
is 'args: rasttable, rastcolumn, srid, scale_x, scale_y, blocksize_x, blocksize_y, same_alignment, regular_blocking, num_bands=true, pixel_types=true, nodata_values=true, out_db=true, extent=true - Drops PostGIS raster constraints that refer to a raster table column. Useful if you need to reload data or update your raster column data.';

