create function st_asraster(geom geometry, width integer, height integer, gridx double precision DEFAULT NULL::double precision, gridy double precision DEFAULT NULL::double precision, pixeltype text[] DEFAULT ARRAY['8BUI'::text], value double precision[] DEFAULT ARRAY[(1)::double precision], nodataval double precision[] DEFAULT ARRAY[(0)::double precision], skewx double precision DEFAULT 0, skewy double precision DEFAULT 0, touched boolean DEFAULT false)
  returns raster
immutable
parallel safe
language sql
as $$
SELECT public._ST_asraster($1, NULL, NULL, $2, $3, $6, $7, $8, NULL, NULL, $4, $5, $9, $10, $11)
$$;

comment on function st_asraster(geom      geometry, width integer, height integer,
                                gridx     double precision DEFAULT NULL :: double precision,
                                gridy     double precision DEFAULT NULL :: double precision,
                                pixeltype text [] DEFAULT ARRAY ['8BUI' :: text],
                                value     double precision [] DEFAULT ARRAY [(1) :: double precision],
                                nodataval double precision [] DEFAULT ARRAY [(0) :: double precision],
                                skewx     double precision DEFAULT 0, skewy double precision DEFAULT 0,
                                touched   boolean DEFAULT false)
is 'args: geom, width, height, gridx=NULL, gridy=NULL, pixeltype=ARRAY[''8BUI''], value=ARRAY[1], nodataval=ARRAY[0], skewx=0, skewy=0, touched=false - Converts a PostGIS geometry to a PostGIS raster.';

