create function st_asraster(geom geometry, width integer, height integer, pixeltype text, value double precision DEFAULT 1, nodataval double precision DEFAULT 0, upperleftx double precision DEFAULT NULL::double precision, upperlefty double precision DEFAULT NULL::double precision, skewx double precision DEFAULT 0, skewy double precision DEFAULT 0, touched boolean DEFAULT false)
  returns raster
immutable
parallel safe
language sql
as $$
SELECT public._ST_asraster($1, NULL, NULL, $2, $3, ARRAY[$4]::text[], ARRAY[$5]::double precision[], ARRAY[$6]::double precision[], $7, $8, NULL, NULL,$9, $10, $11)
$$;

comment on function st_asraster(geom       geometry, width integer, height integer, pixeltype text,
                                value      double precision DEFAULT 1, nodataval double precision DEFAULT 0,
                                upperleftx double precision DEFAULT NULL :: double precision,
                                upperlefty double precision DEFAULT NULL :: double precision,
                                skewx      double precision DEFAULT 0, skewy double precision DEFAULT 0,
                                touched    boolean DEFAULT false)
is 'args: geom, width, height, pixeltype, value=1, nodataval=0, upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - Converts a PostGIS geometry to a PostGIS raster.';

