create function st_asraster(geom geometry, scalex double precision, scaley double precision, pixeltype text[], value double precision[] DEFAULT ARRAY[(1)::double precision], nodataval double precision[] DEFAULT ARRAY[(0)::double precision], upperleftx double precision DEFAULT NULL::double precision, upperlefty double precision DEFAULT NULL::double precision, skewx double precision DEFAULT 0, skewy double precision DEFAULT 0, touched boolean DEFAULT false)
  returns raster
immutable
parallel safe
language sql
as $$
SELECT public._ST_asraster($1, $2, $3, NULL, NULL, $4, $5, $6, $7, $8, NULL, NULL,	$9, $10, $11)
$$;

comment on function st_asraster(geom       geometry, scalex double precision, scaley double precision,
                                pixeltype  text [], value double precision [] DEFAULT ARRAY [(1) :: double precision],
                                nodataval  double precision [] DEFAULT ARRAY [(0) :: double precision],
                                upperleftx double precision DEFAULT NULL :: double precision,
                                upperlefty double precision DEFAULT NULL :: double precision,
                                skewx      double precision DEFAULT 0, skewy double precision DEFAULT 0,
                                touched    boolean DEFAULT false)
is 'args: geom, scalex, scaley, pixeltype, value=ARRAY[1], nodataval=ARRAY[0], upperleftx=NULL, upperlefty=NULL, skewx=0, skewy=0, touched=false - Converts a PostGIS geometry to a PostGIS raster.';

