create function st_asraster(geom geometry, width integer, height integer, gridx double precision, gridy double precision, pixeltype text, value double precision DEFAULT 1, nodataval double precision DEFAULT 0, skewx double precision DEFAULT 0, skewy double precision DEFAULT 0, touched boolean DEFAULT false)
  returns raster
immutable
parallel safe
language sql
as $$
SELECT public._ST_asraster($1, NULL, NULL, $2, $3, ARRAY[$6]::text[], ARRAY[$7]::double precision[], ARRAY[$8]::double precision[], NULL, NULL, $4, $5, $9, $10, $11)
$$;

comment on function st_asraster(geom      geometry, width integer, height integer, gridx double precision,
                                gridy     double precision, pixeltype text, value double precision DEFAULT 1,
                                nodataval double precision DEFAULT 0, skewx double precision DEFAULT 0,
                                skewy     double precision DEFAULT 0, touched boolean DEFAULT false)
is 'args: geom, width, height, gridx, gridy, pixeltype, value=1, nodataval=0, skewx=0, skewy=0, touched=false - Converts a PostGIS geometry to a PostGIS raster.';

