create function st_histogram(rast raster, nband integer, exclude_nodata_value boolean, bins integer, "right" boolean, OUT min double precision, OUT max double precision, OUT count bigint, OUT percent double precision)
  returns SETOF record
immutable
strict
parallel safe
language sql
as $$
SELECT min, max, count, percent FROM public._ST_histogram($1, $2, $3, 1, $4, NULL, $5)
$$;

comment on function st_histogram(                                                        rast                 raster,
                                                                                         nband                integer,
                                                                                         exclude_nodata_value boolean,
                                                                                         bins                 integer,
                                                                                         "right"              boolean,
  OUT                                                                                    min                  double precision,
  OUT                                                                                    max                  double precision,
  OUT                                                                                    count                bigint,
  OUT                                                                                    percent              double precision)
is 'args: rast, nband, exclude_nodata_value, bins, right - Returns a set of record summarizing a raster or raster coverage data distribution separate bin ranges. Number of bins are autocomputed if not specified.';

