create function st_histogram(rastertable text, rastercolumn text, nband integer, bins integer, "right" boolean, OUT min double precision, OUT max double precision, OUT count bigint, OUT percent double precision)
  returns SETOF record
stable
strict
language sql
as $$
SELECT public._ST_histogram($1, $2, $3, TRUE, 1, $4, NULL, $5)
$$;

comment on function st_histogram(rastertable text, rastercolumn text, nband integer, bins integer, "right" boolean,
  OUT                            min         double precision, OUT max double precision, OUT count bigint,
  OUT                            percent     double precision)
is 'args: rastertable, rastercolumn, nband, bins, right - Returns a set of record summarizing a raster or raster coverage data distribution separate bin ranges. Number of bins are autocomputed if not specified.';

