create function st_histogram(rast raster, nband integer, bins integer, width double precision[] DEFAULT NULL::double precision[], "right" boolean DEFAULT false, OUT min double precision, OUT max double precision, OUT count bigint, OUT percent double precision)
  returns SETOF record
immutable
parallel safe
language sql
as $$
SELECT min, max, count, percent FROM public._ST_histogram($1, $2, TRUE, 1, $3, $4, $5)
$$;

comment on function st_histogram(                                   rast    raster, nband integer, bins integer,
                                                                    width   double precision [] DEFAULT NULL :: double precision [],
                                                                    "right" boolean DEFAULT false,
  OUT                                                               min     double precision, OUT max double precision,
  OUT                                                               count   bigint, OUT percent double precision)
is 'args: rast, nband, bins, width=NULL, right=false - Returns a set of record summarizing a raster or raster coverage data distribution separate bin ranges. Number of bins are autocomputed if not specified.';

