create function st_neighborhood(rast raster, pt geometry, distancex integer, distancey integer, exclude_nodata_value boolean DEFAULT true)
  returns double precision[]
immutable
strict
parallel safe
language sql
as $$
SELECT st_neighborhood($1, 1, $2, $3, $4, $5)
$$;

comment on function st_neighborhood(rast                 raster, pt geometry, distancex integer, distancey integer,
                                    exclude_nodata_value boolean DEFAULT true)
is 'args: rast, pt, distanceX, distanceY, exclude_nodata_value=true - Returns a 2-D double precision array of the non-NODATA values around a given bands pixel specified by either a columnX and rowY or a geometric point expressed in the same spatial reference coordinate system as the raster.';

