create function st_numpatches(geometry)
  returns integer
immutable
strict
parallel safe
language sql
as $$
SELECT CASE WHEN public.ST_GeometryType($1) = 'ST_PolyhedralSurface'
	THEN public.ST_NumGeometries($1)
	ELSE NULL END

$$;

comment on function st_numpatches(geometry)
is 'args: g1 - Return the number of faces on a Polyhedral Surface. Will return null for non-polyhedral geometries.';

