create function st_quantile(rastertable text, rastercolumn text, nband integer, quantiles double precision[], OUT quantile double precision, OUT value double precision)
  returns SETOF record
stable
strict
language sql
as $$
SELECT public._ST_quantile($1, $2, $3, TRUE, 1, $4)
$$;

comment on function st_quantile(rastertable text, rastercolumn text, nband integer, quantiles double precision [],
  OUT                           quantile    double precision, OUT value double precision)
is 'args: rastertable, rastercolumn, nband, quantiles - Compute quantiles for a raster or raster table coverage in the context of the sample or population. Thus, a value could be examined to be at the rasters 25%, 50%, 75% percentile.';

