create function st_resample(rast raster, width integer, height integer, gridx double precision DEFAULT NULL::double precision, gridy double precision DEFAULT NULL::double precision, skewx double precision DEFAULT 0, skewy double precision DEFAULT 0, algorithm text DEFAULT 'NearestNeighbour'::text, maxerr double precision DEFAULT 0.125)
  returns raster
immutable
parallel safe
language sql
as $$
SELECT public._ST_gdalwarp($1, $8,	$9, NULL, NULL, NULL, $4, $5, $6, $7, $2, $3)
$$;

comment on function st_resample(rast      raster, width integer, height integer,
                                gridx     double precision DEFAULT NULL :: double precision,
                                gridy     double precision DEFAULT NULL :: double precision,
                                skewx     double precision DEFAULT 0, skewy double precision DEFAULT 0,
                                algorithm text DEFAULT 'NearestNeighbour' :: text,
                                maxerr    double precision DEFAULT 0.125)
is 'args: rast, width, height, gridx=NULL, gridy=NULL, skewx=0, skewy=0, algorithm=NearestNeighbour, maxerr=0.125 - Resample a raster using a specified resampling algorithm, new dimensions, an arbitrary grid corner and a set of raster georeferencing attributes defined or borrowed from another raster.';

