create function st_reskew(rast raster, skewx double precision, skewy double precision, algorithm text DEFAULT 'NearestNeighbour'::text, maxerr double precision DEFAULT 0.125)
  returns raster
immutable
strict
parallel safe
language sql
as $$
SELECT public._ST_GdalWarp($1, $4, $5, NULL, 0, 0, NULL, NULL, $2, $3)
$$;

comment on function st_reskew(rast      raster, skewx double precision, skewy double precision,
                              algorithm text DEFAULT 'NearestNeighbour' :: text, maxerr double precision DEFAULT 0.125)
is 'args: rast, skewx, skewy, algorithm=NearestNeighbour, maxerr=0.125 - Resample a raster by adjusting only its skew (or rotation parameters). New pixel values are computed using the NearestNeighbor (english or american spelling), Bilinear, Cubic, CubicSpline or Lanczos resampling algorithm. Default is NearestNeighbor.';

