create function st_samealignment(ulx1 double precision, uly1 double precision, scalex1 double precision, scaley1 double precision, skewx1 double precision, skewy1 double precision, ulx2 double precision, uly2 double precision, scalex2 double precision, scaley2 double precision, skewx2 double precision, skewy2 double precision)
  returns boolean
immutable
strict
parallel safe
language sql
as $$
SELECT st_samealignment(st_makeemptyraster(1, 1, $1, $2, $3, $4, $5, $6), st_makeemptyraster(1, 1, $7, $8, $9, $10, $11, $12))
$$;

comment on function st_samealignment(ulx1    double precision, uly1 double precision, scalex1 double precision,
                                     scaley1 double precision, skewx1 double precision, skewy1 double precision,
                                     ulx2    double precision, uly2 double precision, scalex2 double precision,
                                     scaley2 double precision, skewx2 double precision, skewy2 double precision)
is 'args: ulx1, uly1, scalex1, scaley1, skewx1, skewy1, ulx2, uly2, scalex2, scaley2, skewx2, skewy2 - Returns true if rasters have same skew, scale, spatial ref, and offset (pixels can be put on same grid without cutting into pixels) and false if they dont with notice detailing issue.';

