create function st_voronoipolygons(g1 geometry, tolerance double precision DEFAULT 0.0, extend_to geometry DEFAULT NULL::geometry)
  returns geometry
immutable
parallel safe
cost 1
language sql
as $$
SELECT public._ST_Voronoi(g1, extend_to, tolerance, true)
$$;

comment on function st_voronoipolygons(g1        geometry, tolerance double precision DEFAULT 0.0,
                                       extend_to geometry DEFAULT NULL :: geometry)
is 'args: g1, tolerance, extend_to - Returns the cells of the Voronoi diagram constructed from the vertices of a geometry.';

